# Device

Binds UDP socket to a specific network device or VRF.

This parameter applies to imudp: UDP Syslog Input Module.

Name:

  Device

Scope:

  input

Type:

  string (see Rsyslog Parameter String Constants)

Default:

  input=none

Required?:

  no

Introduced:

  at least 8.x, possibly earlier

## Description

Bind socket to given device (e.g., `eth0`).

For Linux with VRF support, the `Device` option can be used to specify the VRF for the `Address`.

Examples:

    module(load="imudp") # needs to be done just once
    input(type="imudp" port="514" device="eth0")

## Input usage

    input(type="imudp" Device="...")

## See also

See also imudp: UDP Syslog Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.